<template>
  <div class="ob-spot-list__route">
    <div class="ob-spot-list__route-start">
      {{ fromLocation }}
    </div>
    <div class="ob-spot-list__route-dots">
      <div
        v-if="item.spotOrder.additionalPointsCount"
        class="ob-spot-list__route-dots-count"
      >
        +{{ item.spotOrder.additionalPointsCount }}
      </div>
    </div>
    <div class="ob-spot-list__route-end">
      {{ toLocation }}
    </div>
  </div>
</template>

<script>
export default {
  name: 'route',
  props: {
    item: {
      type: Object,
      default: () => {},
    },
  },
  computed: {
    fromLocation() {
      return this.item.spotOrder.fromLocationTitleRu
        ? this.item.spotOrder.fromLocationTitleRu
        : 'Не указан'
    },
    toLocation() {
      return this.item.spotOrder.toLocationTitleRu
        ? this.item.spotOrder.toLocationTitleRu
        : 'Не указан'
    },
  },
}
</script>

<style lang="scss" scoped>
.ob-spot-list__route-dots {
  width: 100%;
}
</style>